Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class Smf83Record

    java.lang.Object
      com.ibm.jzos.sample.fields.Smf83BaseRecord
          com.ibm.jzos.sample.fields.Smf83Record

    public class Smf83Record

extends Smf83BaseRecord

A class which maps an SMF 83 Record (RACF security information). The superclass `Smf83BaseRecord` describes the base section, whereas `Smf83Product` and `Smf83Security` describe relocatable sections.

See Also:
  `Smf83Product`, `Smf83Security`

Field Summary

Fields inherited from class com.ibm.jzos.sample.fields.Smf83BaseRecord
`bytes, factory, SMF83DF1, SMF83DTE, SMF83FLG, SMF83LD1, SMF83LD2, SMF83LEN, SMF83LPD, SMF83ND1, SMF83ND2, SMF83NPD, SMF83OD1, SMF83OD2, SMF83OPD, SMF83RTY, SMF83SDS, SMF83SEG, SMF83SID, SMF83SSI, SMF83TME, SMF83TRP, SMF83TYP, SMF83XXX, SMFRCD83`

Constructor Summary
`Smf83Record(byte[] buffer)` Construct an instance using the given raw bytes

Method Summary

Methods inherited from class com.ibm.jzos.sample.fields.Smf83BaseRecord
`getSmf83df1, getSmf83dte, getSmf83flg, getSmf83ld1, getSmf83ld2, getSmf83len, getSmf83lpd, getSmf83nd1, getSmf83nd2, getSmf83npd, getSmf83od1, getSmf83od2, getSmf83opd, getSmf83rty, getSmf83sds, getSmf83seg, getSmf83sid, getSmf83ssi, getSmf83tme, getSmf83trp, getSmf83typ, getSmf83xxx, setSmf83df1, setSmf83dte, setSmf83flg, setSmf83ld1, setSmf83ld2, setSmf83len, setSmf83lpd, setSmf83nd1, setSmf83nd2, setSmf83npd, setSmf83od1, setSmf83od2, setSmf83opd, setSmf83rty, setSmf83sds, setSmf83seg, setSmf83sid, setSmf83ssi, setSmf83tme, setSmf83trp, setSmf83typ, setSmf83xxx`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Smf83Record

    public Smf83Record(byte[] buffer)

  Construct an instance using the given raw bytes

  Parameters:
    `buffer` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD